//---------------------------------------------------------------------------
#ifndef PAVE3d_H
#define PAVE3d_H
#include "box.h"
#include "interval.h"
#include "iboolean.h"
#include "OpenGLPanel.h"


typedef enum
{
	WIREFRAME=0,
	SOLID
}TYPE_RENDU;

class pave3d
{
public:
    interval X;// sur l'axe x
    interval Y;// sur l'axe y
    interval Z;// sur l'axe z

    //couleur du pave3d
    float rouge;
    float vert;
    float bleu;

    pave3d(interval x,interval y,interval z,float r,float g,float b);
    pave3d(box _box,float r,float g,float b);
    pave3d(const pave3d&);
    pave3d();

    void drawPave3d(TYPE_RENDU rendu=SOLID,float alpha=1.0f);
};

//---------------------------------------------------------------------------
#endif
 