#ifndef PROBLEM_H
#define PROBLEM_H

#include "ParserIntervalles.h"
#include "Fichier.h"
#include <vector>

typedef enum
{
        INVERSION=0,
        ESTIMATION
}Mode_Fonctionnement;


typedef struct
{
        char expression[255];
}Contraintes;

typedef struct
{
        char model[255];       //model
}MODEL;

class Probleme
{
        char loadFile[255];

public:
        Mode_Fonctionnement     mode;  //type de problme  rsoudre
        ParserIntervalles       parser;//le parser gnial
        vector<Contraintes*>    ensContraintes;
        vector<MODEL*>          ensModels;
        bool                    evalContrainte(Contraintes*contrainte, iboolean &res);
        bool                    evalContraintes(iboolean & res);
        bool                    evalModel();
        bool load(const char* filename);
        bool load(const char* filename,Probleme* pb);
        void reload(void);
};


#endif
